// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 55;
	objects = {

/* Begin PBXBuildFile section */
		2B52234127D7096300102CF6 /* SimpleCalculatorViewController.m in Sources */ = {isa = PBXBuildFile; fileRef = 2B52234027D7096300102CF6 /* SimpleCalculatorViewController.m */; };
		2B52234627D70C1A00102CF6 /* SimpleCalculatorView.m in Sources */ = {isa = PBXBuildFile; fileRef = 2B52234527D70C1A00102CF6 /* SimpleCalculatorView.m */; };
		2B52234927D70C5100102CF6 /* CalculatorRoundButton.m in Sources */ = {isa = PBXBuildFile; fileRef = 2B52234827D70C5100102CF6 /* CalculatorRoundButton.m */; };
		2B52234C27D72D3000102CF6 /* KeyboardView.m in Sources */ = {isa = PBXBuildFile; fileRef = 2B52234B27D72D3000102CF6 /* KeyboardView.m */; };
		2B52234F27D74C4800102CF6 /* DisplayView.m in Sources */ = {isa = PBXBuildFile; fileRef = 2B52234E27D74C4800102CF6 /* DisplayView.m */; };
		2B52236127D8673900102CF6 /* CommandUtils.m in Sources */ = {isa = PBXBuildFile; fileRef = 2B52236027D8673900102CF6 /* CommandUtils.m */; };
		2B5223AB27D9D29B00102CF6 /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 2B5223A927D9D29B00102CF6 /* LaunchScreen.storyboard */; };
		2B7AF53427D7030200679E3D /* AppDelegate.m in Sources */ = {isa = PBXBuildFile; fileRef = 2B7AF53327D7030200679E3D /* AppDelegate.m */; };
		2B7AF53F27D7030400679E3D /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 2B7AF53E27D7030400679E3D /* Assets.xcassets */; };
		2B7AF54527D7030400679E3D /* main.m in Sources */ = {isa = PBXBuildFile; fileRef = 2B7AF54427D7030400679E3D /* main.m */; };
		2B7AF54F27D7030400679E3D /* SimpleCalculatorTests.m in Sources */ = {isa = PBXBuildFile; fileRef = 2B7AF54E27D7030400679E3D /* SimpleCalculatorTests.m */; };
		2B7AF55927D7030400679E3D /* SimpleCalculatorUITests.m in Sources */ = {isa = PBXBuildFile; fileRef = 2B7AF55827D7030400679E3D /* SimpleCalculatorUITests.m */; };
		2B7AF55B27D7030400679E3D /* SimpleCalculatorUITestsLaunchTests.m in Sources */ = {isa = PBXBuildFile; fileRef = 2B7AF55A27D7030400679E3D /* SimpleCalculatorUITestsLaunchTests.m */; };
		BA60688BB75317D705F93106 /* Pods_SimpleCalculator.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 2CE24170E83742AAB74BB64E /* Pods_SimpleCalculator.framework */; };
/* End PBXBuildFile section */

/* Begin PBXContainerItemProxy section */
		2B7AF54B27D7030400679E3D /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 2B7AF52727D7030200679E3D /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = 2B7AF52E27D7030200679E3D;
			remoteInfo = SimpleCalculator;
		};
		2B7AF55527D7030400679E3D /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 2B7AF52727D7030200679E3D /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = 2B7AF52E27D7030200679E3D;
			remoteInfo = SimpleCalculator;
		};
/* End PBXContainerItemProxy section */

/* Begin PBXFileReference section */
		2B52233F27D7096300102CF6 /* SimpleCalculatorViewController.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = SimpleCalculatorViewController.h; sourceTree = "<group>"; };
		2B52234027D7096300102CF6 /* SimpleCalculatorViewController.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = SimpleCalculatorViewController.m; sourceTree = "<group>"; };
		2B52234427D70C1A00102CF6 /* SimpleCalculatorView.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = SimpleCalculatorView.h; sourceTree = "<group>"; };
		2B52234527D70C1A00102CF6 /* SimpleCalculatorView.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = SimpleCalculatorView.m; sourceTree = "<group>"; };
		2B52234727D70C5100102CF6 /* CalculatorRoundButton.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = CalculatorRoundButton.h; sourceTree = "<group>"; };
		2B52234827D70C5100102CF6 /* CalculatorRoundButton.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = CalculatorRoundButton.m; sourceTree = "<group>"; };
		2B52234A27D72D3000102CF6 /* KeyboardView.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = KeyboardView.h; sourceTree = "<group>"; };
		2B52234B27D72D3000102CF6 /* KeyboardView.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = KeyboardView.m; sourceTree = "<group>"; };
		2B52234D27D74C4800102CF6 /* DisplayView.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = DisplayView.h; sourceTree = "<group>"; };
		2B52234E27D74C4800102CF6 /* DisplayView.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = DisplayView.m; sourceTree = "<group>"; };
		2B52235727D75E4300102CF6 /* KeyboardDelegate.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = KeyboardDelegate.h; sourceTree = "<group>"; };
		2B52235F27D8673900102CF6 /* CommandUtils.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = CommandUtils.h; sourceTree = "<group>"; };
		2B52236027D8673900102CF6 /* CommandUtils.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = CommandUtils.m; sourceTree = "<group>"; };
		2B5223AA27D9D29B00102CF6 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		2B7AF52F27D7030200679E3D /* SimpleCalculator.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = SimpleCalculator.app; sourceTree = BUILT_PRODUCTS_DIR; };
		2B7AF53227D7030200679E3D /* AppDelegate.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = AppDelegate.h; sourceTree = "<group>"; };
		2B7AF53327D7030200679E3D /* AppDelegate.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = AppDelegate.m; sourceTree = "<group>"; };
		2B7AF53E27D7030400679E3D /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		2B7AF54327D7030400679E3D /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		2B7AF54427D7030400679E3D /* main.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = main.m; sourceTree = "<group>"; };
		2B7AF54A27D7030400679E3D /* SimpleCalculatorTests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = SimpleCalculatorTests.xctest; sourceTree = BUILT_PRODUCTS_DIR; };
		2B7AF54E27D7030400679E3D /* SimpleCalculatorTests.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = SimpleCalculatorTests.m; sourceTree = "<group>"; };
		2B7AF55427D7030400679E3D /* SimpleCalculatorUITests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = SimpleCalculatorUITests.xctest; sourceTree = BUILT_PRODUCTS_DIR; };
		2B7AF55827D7030400679E3D /* SimpleCalculatorUITests.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = SimpleCalculatorUITests.m; sourceTree = "<group>"; };
		2B7AF55A27D7030400679E3D /* SimpleCalculatorUITestsLaunchTests.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = SimpleCalculatorUITestsLaunchTests.m; sourceTree = "<group>"; };
		2CB6BBD1B25E75691D91F9A1 /* Pods-SimpleCalculator.debug.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-SimpleCalculator.debug.xcconfig"; path = "Target Support Files/Pods-SimpleCalculator/Pods-SimpleCalculator.debug.xcconfig"; sourceTree = "<group>"; };
		2CE24170E83742AAB74BB64E /* Pods_SimpleCalculator.framework */ = {isa = PBXFileReference; explicitFileType = wrapper.framework; includeInIndex = 0; path = Pods_SimpleCalculator.framework; sourceTree = BUILT_PRODUCTS_DIR; };
		3E9D8C97666E22CE69B0F133 /* Pods-SimpleCalculator.release.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-SimpleCalculator.release.xcconfig"; path = "Target Support Files/Pods-SimpleCalculator/Pods-SimpleCalculator.release.xcconfig"; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		2B7AF52C27D7030200679E3D /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				BA60688BB75317D705F93106 /* Pods_SimpleCalculator.framework in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		2B7AF54727D7030400679E3D /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		2B7AF55127D7030400679E3D /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		2B52234227D7097100102CF6 /* Controller */ = {
			isa = PBXGroup;
			children = (
				2B52233F27D7096300102CF6 /* SimpleCalculatorViewController.h */,
				2B52234027D7096300102CF6 /* SimpleCalculatorViewController.m */,
			);
			path = Controller;
			sourceTree = "<group>";
		};
		2B52234327D70BF400102CF6 /* View */ = {
			isa = PBXGroup;
			children = (
				2B52234427D70C1A00102CF6 /* SimpleCalculatorView.h */,
				2B52234527D70C1A00102CF6 /* SimpleCalculatorView.m */,
				2B52234727D70C5100102CF6 /* CalculatorRoundButton.h */,
				2B52234827D70C5100102CF6 /* CalculatorRoundButton.m */,
				2B52234A27D72D3000102CF6 /* KeyboardView.h */,
				2B52234B27D72D3000102CF6 /* KeyboardView.m */,
				2B52234D27D74C4800102CF6 /* DisplayView.h */,
				2B52234E27D74C4800102CF6 /* DisplayView.m */,
			);
			path = View;
			sourceTree = "<group>";
		};
		2B52235627D75A4C00102CF6 /* Delegate */ = {
			isa = PBXGroup;
			children = (
				2B52235727D75E4300102CF6 /* KeyboardDelegate.h */,
			);
			path = Delegate;
			sourceTree = "<group>";
		};
		2B52235827D7621900102CF6 /* Utils */ = {
			isa = PBXGroup;
			children = (
				2B52235F27D8673900102CF6 /* CommandUtils.h */,
				2B52236027D8673900102CF6 /* CommandUtils.m */,
			);
			path = Utils;
			sourceTree = "<group>";
		};
		2B7AF52627D7030200679E3D = {
			isa = PBXGroup;
			children = (
				2B7AF53127D7030200679E3D /* SimpleCalculator */,
				2B7AF54D27D7030400679E3D /* SimpleCalculatorTests */,
				2B7AF55727D7030400679E3D /* SimpleCalculatorUITests */,
				2B7AF53027D7030200679E3D /* Products */,
				539B6FE0712D7018082C43C7 /* Pods */,
				7F3DC50B1E7305EF488BF053 /* Frameworks */,
			);
			sourceTree = "<group>";
		};
		2B7AF53027D7030200679E3D /* Products */ = {
			isa = PBXGroup;
			children = (
				2B7AF52F27D7030200679E3D /* SimpleCalculator.app */,
				2B7AF54A27D7030400679E3D /* SimpleCalculatorTests.xctest */,
				2B7AF55427D7030400679E3D /* SimpleCalculatorUITests.xctest */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		2B7AF53127D7030200679E3D /* SimpleCalculator */ = {
			isa = PBXGroup;
			children = (
				2B52235827D7621900102CF6 /* Utils */,
				2B52235627D75A4C00102CF6 /* Delegate */,
				2B52234327D70BF400102CF6 /* View */,
				2B52234227D7097100102CF6 /* Controller */,
				2B7AF53227D7030200679E3D /* AppDelegate.h */,
				2B7AF53327D7030200679E3D /* AppDelegate.m */,
				2B7AF54427D7030400679E3D /* main.m */,
				2B7AF53E27D7030400679E3D /* Assets.xcassets */,
				2B5223A927D9D29B00102CF6 /* LaunchScreen.storyboard */,
				2B7AF54327D7030400679E3D /* Info.plist */,
			);
			path = SimpleCalculator;
			sourceTree = "<group>";
		};
		2B7AF54D27D7030400679E3D /* SimpleCalculatorTests */ = {
			isa = PBXGroup;
			children = (
				2B7AF54E27D7030400679E3D /* SimpleCalculatorTests.m */,
			);
			path = SimpleCalculatorTests;
			sourceTree = "<group>";
		};
		2B7AF55727D7030400679E3D /* SimpleCalculatorUITests */ = {
			isa = PBXGroup;
			children = (
				2B7AF55827D7030400679E3D /* SimpleCalculatorUITests.m */,
				2B7AF55A27D7030400679E3D /* SimpleCalculatorUITestsLaunchTests.m */,
			);
			path = SimpleCalculatorUITests;
			sourceTree = "<group>";
		};
		539B6FE0712D7018082C43C7 /* Pods */ = {
			isa = PBXGroup;
			children = (
				2CB6BBD1B25E75691D91F9A1 /* Pods-SimpleCalculator.debug.xcconfig */,
				3E9D8C97666E22CE69B0F133 /* Pods-SimpleCalculator.release.xcconfig */,
			);
			path = Pods;
			sourceTree = "<group>";
		};
		7F3DC50B1E7305EF488BF053 /* Frameworks */ = {
			isa = PBXGroup;
			children = (
				2CE24170E83742AAB74BB64E /* Pods_SimpleCalculator.framework */,
			);
			name = Frameworks;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		2B7AF52E27D7030200679E3D /* SimpleCalculator */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 2B7AF55E27D7030400679E3D /* Build configuration list for PBXNativeTarget "SimpleCalculator" */;
			buildPhases = (
				45187319D32BD2D91C0ABDD9 /* [CP] Check Pods Manifest.lock */,
				2B7AF52B27D7030200679E3D /* Sources */,
				2B7AF52C27D7030200679E3D /* Frameworks */,
				2B7AF52D27D7030200679E3D /* Resources */,
				4304249331A79D9FDB169B39 /* [CP] Embed Pods Frameworks */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = SimpleCalculator;
			productName = SimpleCalculator;
			productReference = 2B7AF52F27D7030200679E3D /* SimpleCalculator.app */;
			productType = "com.apple.product-type.application";
		};
		2B7AF54927D7030400679E3D /* SimpleCalculatorTests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 2B7AF56127D7030400679E3D /* Build configuration list for PBXNativeTarget "SimpleCalculatorTests" */;
			buildPhases = (
				2B7AF54627D7030400679E3D /* Sources */,
				2B7AF54727D7030400679E3D /* Frameworks */,
				2B7AF54827D7030400679E3D /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
				2B7AF54C27D7030400679E3D /* PBXTargetDependency */,
			);
			name = SimpleCalculatorTests;
			productName = SimpleCalculatorTests;
			productReference = 2B7AF54A27D7030400679E3D /* SimpleCalculatorTests.xctest */;
			productType = "com.apple.product-type.bundle.unit-test";
		};
		2B7AF55327D7030400679E3D /* SimpleCalculatorUITests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 2B7AF56427D7030400679E3D /* Build configuration list for PBXNativeTarget "SimpleCalculatorUITests" */;
			buildPhases = (
				2B7AF55027D7030400679E3D /* Sources */,
				2B7AF55127D7030400679E3D /* Frameworks */,
				2B7AF55227D7030400679E3D /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
				2B7AF55627D7030400679E3D /* PBXTargetDependency */,
			);
			name = SimpleCalculatorUITests;
			productName = SimpleCalculatorUITests;
			productReference = 2B7AF55427D7030400679E3D /* SimpleCalculatorUITests.xctest */;
			productType = "com.apple.product-type.bundle.ui-testing";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		2B7AF52727D7030200679E3D /* Project object */ = {
			isa = PBXProject;
			attributes = {
				BuildIndependentTargetsInParallel = 1;
				LastUpgradeCheck = 1320;
				TargetAttributes = {
					2B7AF52E27D7030200679E3D = {
						CreatedOnToolsVersion = 13.2.1;
					};
					2B7AF54927D7030400679E3D = {
						CreatedOnToolsVersion = 13.2.1;
						TestTargetID = 2B7AF52E27D7030200679E3D;
					};
					2B7AF55327D7030400679E3D = {
						CreatedOnToolsVersion = 13.2.1;
						TestTargetID = 2B7AF52E27D7030200679E3D;
					};
				};
			};
			buildConfigurationList = 2B7AF52A27D7030200679E3D /* Build configuration list for PBXProject "SimpleCalculator" */;
			compatibilityVersion = "Xcode 13.0";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 2B7AF52627D7030200679E3D;
			productRefGroup = 2B7AF53027D7030200679E3D /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				2B7AF52E27D7030200679E3D /* SimpleCalculator */,
				2B7AF54927D7030400679E3D /* SimpleCalculatorTests */,
				2B7AF55327D7030400679E3D /* SimpleCalculatorUITests */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		2B7AF52D27D7030200679E3D /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				2B7AF53F27D7030400679E3D /* Assets.xcassets in Resources */,
				2B5223AB27D9D29B00102CF6 /* LaunchScreen.storyboard in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		2B7AF54827D7030400679E3D /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		2B7AF55227D7030400679E3D /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXShellScriptBuildPhase section */
		4304249331A79D9FDB169B39 /* [CP] Embed Pods Frameworks */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
				"${PODS_ROOT}/Target Support Files/Pods-SimpleCalculator/Pods-SimpleCalculator-frameworks-${CONFIGURATION}-input-files.xcfilelist",
			);
			name = "[CP] Embed Pods Frameworks";
			outputFileListPaths = (
				"${PODS_ROOT}/Target Support Files/Pods-SimpleCalculator/Pods-SimpleCalculator-frameworks-${CONFIGURATION}-output-files.xcfilelist",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-SimpleCalculator/Pods-SimpleCalculator-frameworks.sh\"\n";
			showEnvVarsInLog = 0;
		};
		45187319D32BD2D91C0ABDD9 /* [CP] Check Pods Manifest.lock */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
			);
			inputPaths = (
				"${PODS_PODFILE_DIR_PATH}/Podfile.lock",
				"${PODS_ROOT}/Manifest.lock",
			);
			name = "[CP] Check Pods Manifest.lock";
			outputFileListPaths = (
			);
			outputPaths = (
				"$(DERIVED_FILE_DIR)/Pods-SimpleCalculator-checkManifestLockResult.txt",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n    # print error to STDERR\n    echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n    exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
			showEnvVarsInLog = 0;
		};
/* End PBXShellScriptBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		2B7AF52B27D7030200679E3D /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				2B52234F27D74C4800102CF6 /* DisplayView.m in Sources */,
				2B52234627D70C1A00102CF6 /* SimpleCalculatorView.m in Sources */,
				2B52236127D8673900102CF6 /* CommandUtils.m in Sources */,
				2B52234927D70C5100102CF6 /* CalculatorRoundButton.m in Sources */,
				2B52234127D7096300102CF6 /* SimpleCalculatorViewController.m in Sources */,
				2B52234C27D72D3000102CF6 /* KeyboardView.m in Sources */,
				2B7AF53427D7030200679E3D /* AppDelegate.m in Sources */,
				2B7AF54527D7030400679E3D /* main.m in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		2B7AF54627D7030400679E3D /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				2B7AF54F27D7030400679E3D /* SimpleCalculatorTests.m in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		2B7AF55027D7030400679E3D /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				2B7AF55B27D7030400679E3D /* SimpleCalculatorUITestsLaunchTests.m in Sources */,
				2B7AF55927D7030400679E3D /* SimpleCalculatorUITests.m in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXTargetDependency section */
		2B7AF54C27D7030400679E3D /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = 2B7AF52E27D7030200679E3D /* SimpleCalculator */;
			targetProxy = 2B7AF54B27D7030400679E3D /* PBXContainerItemProxy */;
		};
		2B7AF55627D7030400679E3D /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = 2B7AF52E27D7030200679E3D /* SimpleCalculator */;
			targetProxy = 2B7AF55527D7030400679E3D /* PBXContainerItemProxy */;
		};
/* End PBXTargetDependency section */

/* Begin PBXVariantGroup section */
		2B5223A927D9D29B00102CF6 /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				2B5223AA27D9D29B00102CF6 /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		2B7AF55C27D7030400679E3D /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++17";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 15.2;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
			};
			name = Debug;
		};
		2B7AF55D27D7030400679E3D /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++17";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 15.2;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		2B7AF55F27D7030400679E3D /* Debug */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = 2CB6BBD1B25E75691D91F9A1 /* Pods-SimpleCalculator.debug.xcconfig */;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				GENERATE_INFOPLIST_FILE = YES;
				INFOPLIST_FILE = SimpleCalculator/Info.plist;
				INFOPLIST_KEY_UIApplicationSupportsIndirectInputEvents = YES;
				INFOPLIST_KEY_UILaunchStoryboardName = LaunchScreen;
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPad = "UIInterfaceOrientationPortrait UIInterfaceOrientationPortraitUpsideDown UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPhone = "UIInterfaceOrientationPortrait UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				IPHONEOS_DEPLOYMENT_TARGET = 15.2;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = org.SimpleCalculator;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_EMIT_LOC_STRINGS = YES;
				TARGETED_DEVICE_FAMILY = 1;
			};
			name = Debug;
		};
		2B7AF56027D7030400679E3D /* Release */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = 3E9D8C97666E22CE69B0F133 /* Pods-SimpleCalculator.release.xcconfig */;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				GENERATE_INFOPLIST_FILE = YES;
				INFOPLIST_FILE = SimpleCalculator/Info.plist;
				INFOPLIST_KEY_UIApplicationSupportsIndirectInputEvents = YES;
				INFOPLIST_KEY_UILaunchStoryboardName = LaunchScreen;
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPad = "UIInterfaceOrientationPortrait UIInterfaceOrientationPortraitUpsideDown UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPhone = "UIInterfaceOrientationPortrait UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				IPHONEOS_DEPLOYMENT_TARGET = 15.2;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = org.SimpleCalculator;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_EMIT_LOC_STRINGS = YES;
				TARGETED_DEVICE_FAMILY = 1;
			};
			name = Release;
		};
		2B7AF56227D7030400679E3D /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				GENERATE_INFOPLIST_FILE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 15.2;
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = org.SimpleCalculatorTests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_EMIT_LOC_STRINGS = NO;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/SimpleCalculator.app/SimpleCalculator";
			};
			name = Debug;
		};
		2B7AF56327D7030400679E3D /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				GENERATE_INFOPLIST_FILE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 15.2;
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = org.SimpleCalculatorTests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_EMIT_LOC_STRINGS = NO;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/SimpleCalculator.app/SimpleCalculator";
			};
			name = Release;
		};
		2B7AF56527D7030400679E3D /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				GENERATE_INFOPLIST_FILE = YES;
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = org.SimpleCalculatorUITests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_EMIT_LOC_STRINGS = NO;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_TARGET_NAME = SimpleCalculator;
			};
			name = Debug;
		};
		2B7AF56627D7030400679E3D /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				GENERATE_INFOPLIST_FILE = YES;
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = org.SimpleCalculatorUITests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_EMIT_LOC_STRINGS = NO;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_TARGET_NAME = SimpleCalculator;
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		2B7AF52A27D7030200679E3D /* Build configuration list for PBXProject "SimpleCalculator" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				2B7AF55C27D7030400679E3D /* Debug */,
				2B7AF55D27D7030400679E3D /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		2B7AF55E27D7030400679E3D /* Build configuration list for PBXNativeTarget "SimpleCalculator" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				2B7AF55F27D7030400679E3D /* Debug */,
				2B7AF56027D7030400679E3D /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		2B7AF56127D7030400679E3D /* Build configuration list for PBXNativeTarget "SimpleCalculatorTests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				2B7AF56227D7030400679E3D /* Debug */,
				2B7AF56327D7030400679E3D /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		2B7AF56427D7030400679E3D /* Build configuration list for PBXNativeTarget "SimpleCalculatorUITests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				2B7AF56527D7030400679E3D /* Debug */,
				2B7AF56627D7030400679E3D /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = 2B7AF52727D7030200679E3D /* Project object */;
}
